### Method

# ICalGLib Object steal_native

since: 1.0

#### Declaration [src]

    gpointer
    i_cal_object_steal_native (
      ICalObject* iobject
    )

#### Description [src]

Obtain native libical structure pointer associated with this `iobject` and sets the one at `iobject` to NULL, thus it’s invalid since now on.

Available since: 1.0

#### Return value

Type: `gpointer`

Native libical structure pointer associated with this `iobject`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.